LINUX.ORG.RU

Релиз Maemo Eclipse Integration 2nd Edition

 , , , ,


0

0

Состоялся финальный релиз Maemo Eclipse Integration 2nd Edition. Maemo Eclipse Integration - является дополнением к Eclipse 3.3.x, позволяющим разрабатывать приложения для Maemo Diablo 4.1.2 (800, N810 и N810 Wimax Edition) и Maemo Fremantle 5.0 (N900) на C/C++, Python и Qt4.

Maemo Eclipse Integration поддерживает следующие 32-х битные x86 операционные системы

  • основанные на Debian (например, Ubuntu Intrepid 8.10 и Karmic 9.10)
  • Windows XP с SP3, Mac OS X 10.5 Leopard и Mac OS X 10.6 Snow Leopard
  • поддержка на стадии бета Fedora 11, Windows Vista SP2 и Windows 7

Поддержка ОС, отличных от перечисленных не гарантируется, но возможна в случае если:

  • ОС поддерживает Eclipse IDE
  • Функциональность Host PC Connectivity доступна для этой ОС
  • ОС способна исполнять Maemo SDK Virtual Image (т.е. поддерживает QEmu, VMWare или VirtualBox)

Maemo Eclipse Integration 2nd Edition включает в себя следующие компоненты:

  • Eclipse 3.4.2 IDE (Ganymede SP2) for C/C++ Developers (официальный релиз с eclipse.org)
  • Maemo PC Connectivity (версии с репозиториев Diablo extras и Fremantle extras-devel)
  • Host PC Connectivity для Linux, Windows и Mac OS X (версия PC Connectivity Garage project)
  • Maemo ESbox для Eclipse R2.0.0 (версия Esbox Garage project)
  • Maemo Pluthon для Eclipse R2.0.0 (версия Pluthon Garage project)
  • Maemo Mica plugin framework для Eclipse R2.0.0 (версия Mica Garage project)
  • Поддержка языков программирования Maemo C/C++ и Maemo Python (версии с репозиториев Diablo extras и Fremantle extras-devel)
  • Поддержка Maemo Qt4 (версии с репозиториев Diablo extras иFremantle SDK)
  • Maemo SDK Virtual Images с Ubuntu Intrepid Server (для поддержки других основанных на Debian операционных систем)
  • Maemo Flasher-3.5 Tools для Linuxes, Windows и Mac OS X

Подробности на русском

>>> Подробности



Проверено: svu ()

2Shaman007

Я и есть администрация

Truf ()
Ответ на: комментарий от Truf

Все равно не подтвердит, как копипасту с опеннета. Нужно было сделать 10-15 орфографических ошибок.

anonymous ()

эммм... а как же QtCreator, или это по инерции?

shty ★★★★★ ()

Красотища то какая

ostin ★★★★★ ()
Ответ на: комментарий от UlrichDrepper

Eclipse 3.3.x это весьма ретрократично

да кстати...

shty ★★★★★ ()

Ссылку поправил на официальный релиз. Ту, что была — дал отдельно.

Причина: devmobile.ru — это мелочныймелкий сайтик на мелком хостере, который при мне буквально только что трижды подряд вылетел с объяснением «превышен лимит трафика». А настоящего ЛОР-эффекта на нем еще и не было. Ну и в конце концов, официальный анонс официальнее, сам Ярмо Тикка и все такое.

shimon ★★★★★ ()

Еклипс ненужен. Это недараземение уже пора прикопать, а то завонялось.

anonymous ()

на русском сайте лор-эффект

aiker ★★ ()

Nokia N900 всё заманчивее и заманчивее

AlexKiriukha ★★★★ ()
Ответ на: комментарий от anonymous

Еклипс ненужен. Это недараземение уже пора прикопать, а то завонялось.

О, знатоки интерпрайза подтянулись, здравствуйте)

ostin ★★★★★ ()
Ответ на: комментарий от ostin

Еклипс ненужен. Это недараземение уже пора прикопать, а то завонялось.

начинай прикапывать.

montekki ()
Ответ на: комментарий от ostin

>О, знатоки интерпрайза подтянулись, здравствуйте)

Ну привет. Еклипс говно. Нормальные люди от него блюют.

anonymous ()

>ОС способна исполнять Maemo SDK Virtual Image (т.е. поддерживает QEmu, VMWare или VirtualBox)

Не поняв, vmware уже умеет arm? и VirtualBox тоже?

AVL2 ★★★★★ ()
Ответ на: комментарий от AVL2

maemo можно перекомпилировать. Я ставил fremantle на VirtualBox. x86 естественно.

Aceler ★★★★★ ()

круто.

Можно нормально портировать mcabber)

desruptor ()
Ответ на: комментарий от anonymous

Еклипс ненужен. Это недараземение уже пора прикопать, а то завонялось.

ололо... Вы на чём программируете, дорогой?

shty ★★★★★ ()
Ответ на: комментарий от montekki

как только в QtCreator появится pydev - с удовольствием... пока же только для qt... а для c/с++ и python удобнее всего именно eclipse )

shty ★★★★★ ()
Ответ на: комментарий от anonymous

>Нужно было сделать 10-15 орфографических ошибок.

тут и так виден машинный перевод.

maloi ★★★★★ ()

Ну всё, придётся давить джабу и покупать n900. >_<

sv75 ★★★★★ ()

Кто нибудь знает эмулятор под линукс есть?

mio ★★ ()
Ответ на: комментарий от EvilBlueBeaver

вот интересно и правда delphi - это диагноз?.. что ж Вас так не устраивает в eclipse?

shty ★★★★★ ()
Ответ на: комментарий от montekki

эмм... не стоит блокнотик сравнивать с ide - это не есть гуд

shty ★★★★★ ()
Ответ на: комментарий от shty

Меня все устраивает, еклипсом я пользуюсь, а дельфы (свят-свят) позабыты и выброшены. я отвечал за анонимуса.

EvilBlueBeaver ()
Ответ на: комментарий от shty

> Вы на чём программируете, дорогой?

неужели и так не видно, что товарисч ваяет нетленку на 1це

Momyc ()
Ответ на: комментарий от mio

>Кто нибудь знает эмулятор под линукс есть?

конечно, скачивается с офсайта маэмо и ставится в scratchbox. Две архитектуры: ARM и x86

annulen ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.